import { getNavigationValue, getConfigValue } from '@brojs/cli';
import { generatePath } from 'react-router-dom';

const baseUrl = getNavigationValue('r-and-m.main');

export const URLs = {
  baseUrl,
  ui: {
    search: getNavigationValue('r-and-m.search') && `${baseUrl}${getNavigationValue('r-and-m.search')}`,
    charDetail: {
      url: `${baseUrl}${getNavigationValue('r-and-m.character.detail')}`,
      on: Boolean(getNavigationValue('r-and-m.character.detail')),
      getUrl: (charId: number) => generatePath(`${baseUrl}${getNavigationValue('r-and-m.character.detail')}`, { charId })
    }
  },
  api: {
    main: getConfigValue('r-and-m.api')
  },
}
