import styled from "@emotion/styled";

import { CardWrapper } from "../components/card";
import { Paragraph } from "../components/common";
import { Button } from "../components/button";
import { CardText } from "../components/card/card.style";

export const Main = styled.main`
  width: 1024px;
  max-width: calc(100% - 32px);
  margin: 0 auto;
`;

export const MainCardWrapper = styled(CardWrapper)`
  background-color: #ffffff;
  flex-direction: row;
`;

export const MainCardText = styled(CardText)`
  margin-top: 0;
`;


export const MainCardTextP = styled(Paragraph)`
  max-width: 630px;
`;

export const MainCardImg = styled.img`
  margin-left: auto;
`;

export const PageHeader = styled.header`
  display: flex;
  flex-wrap: wrap;
  align-content: stretch;
  flex-direction: row;
  justify-content: space-between;
  margin-bottom: 32px;
  padding-left: 24px;
  border-bottom: 1px solid var(--brand);
  min-height: 62px;
  align-items: flex-start;
`;

export const BrandText = styled.span`
  color: var(--brand);
`;

export const Logo = styled.img`
  margin: auto 0;
`;

export const PageFooter = styled.footer`
  min-height: 100px;
  background-color: var(--accent);
  margin-top: 64px;
`;

export const SearchForm = styled.form`
  display: flex;
  align-items: flex-end;
  width: 100%;
`;

export const SearchButton = styled(Button)`
  height: 40px;
  margin-left: 24px;
  padding-left: 24px;
  padding-right: 24px;
  font-size: 16px;
`;

export const CharacterList = styled.ul`
  margin-top: 24px;
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  gap: 12px;
  padding: 0;
  align-items: center;
  justify-content: center;
`;

export const CharacterItem = styled.li`
  position: relative;
`;

export const CharName = styled.p`
  position: absolute;
  color: white;
  bottom: 5px;
  right: 0;
  margin: 0;
  /* text-shadow: 0 0 2px #000; */
  color: black;
  background-color: #fff;
  padding: 2px;
`;
